

(EDT)
[171.71.163.10])
	by ietf.org (8.9.1a/8.9.1a) with SMTP id RAA14383
	for <[email-masked]>; Mon, 16 Apr 2001 17:44:37 -0400 (EDT)
Date: Mon, 16 Apr 2001 16:43:57 -0500
From: Randall Stewart <[email-masked]>
To: Qiaobing Xie <[email-masked]>
CC: [email-masked]
Subject: Re: [Tsvwg] [SCTP checksum problems]
<[email-masked]>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Errors-To: [email-masked]
X-Mailman-Version: 1.0
Precedence: bulk
List-Id: Transport Area Working Group <tsvwg.ietf.org>
X-BeenThere: [email-masked]
Content-Transfer-Encoding: 7bit

Q:

The only problem with an additional "CRC chunk" is that
it makes hardware assistance to error correction much
more difficult. It is better (I think) to just realize
we made a mistake. Get the opinions of the experts as to
what checksum to use... i.e.:

- CRC-32
- Modified Adler-32 (16 bit word sums)
- Fletcher-32
- ???

And then go with this as a replacement... Admit we were wrong
and fix the problem..

This way you have ONE and only ONE checksum algorithm making
hardware designers life much easier...

R

Qiaobing Xie wrote:
> 
> Another solution could be (I think I mentioned this to Randy and a few
> others at last IETF):
> 
> - Define a CRC-32 (or other strong checksum) control chunk and when the
> sender wishes to use a stronger checksum protection, in addition to the
> Adler-32 in the common SCTP header it includes this CRC-32 chuck in the
> outbound packet. When the packet arrives, the receiver will do the
> Adler-32 first, and then if the receiver supports the CRC-32 and sees
> the presence of the CRC-32 chunk in the packet it will further verify
> the CRC-32.
> 
> We could also use a bit pattern in the chunk type of the CRC-32 chunk so
> that if the receiver doesn't understand the CRC-32 chunk it would drop
> it with a report back to the sender.
> 
> -Qiaobing
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg

-- 
Randall R. Stewart
Systems & Solutions Engineering
Cisco Systems Inc.
[email-masked] 815-342-5222 or 815-477-2127

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg